use clap::Parser;

#[derive(Debug, Parser)]
pub struct Config {
    #[arg(long, env)]
    pub database_url: String,
    #[arg(long, env, default_value_t = 3000)]
    pub port: u16,
    #[arg(long, env, default_value_t = false)]
    pub dev_mode: bool,
    #[arg(env)]
    pub secret_key: String,
}
